org.apache.commons.math3.util

## Class FastMath.CodyWaite

- java.lang.Object
- - org.apache.commons.math3.util.FastMath.CodyWaite

- Enclosing class:
    FastMath

      private static class FastMath.CodyWaite
      extends java.lang.Object

  Enclose the Cody/Waite reduction (used in "sin", "cos" and "tan").

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `finalK` k
    `private double` | `finalRemA` remA
    `private double` | `finalRemB` remB

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastMath.CodyWaite(double xa)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `getK()`
    `(package private) double` | `getRemA()`
    `(package private) double` | `getRemB()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### finalK

          private final int finalK

      k

    - #### finalRemA

          private final double finalRemA

      remA

    - #### finalRemB

          private final double finalRemB

      remB

  - ### Constructor Detail

    - #### FastMath.CodyWaite

          FastMath.CodyWaite(double xa)

      Parameters:
        `xa` - Argument.

  - ### Method Detail

    - #### getK

          int getK()

      Returns:
        k

    - #### getRemA

          double getRemA()

      Returns:
        remA

    - #### getRemB

          double getRemB()

      Returns:
        remB

Copyright (c) 2003-2013 Apache Software Foundation